Running CUDA C/C++ in Jupyter or how to run nvcc in Google CoLab
Andrei
2058

Hello, Andrei! Thanks for your post.

Could you please help me? How to install OpenGL C++ on Goggle Golab? I`m trying use command:
!apt-get install cmake make g++ libx11-dev libgl1-mesa-dev libglu1-mesa-dev libxrandr-dev libxext-dev
But I get an error:

The following packages have unmet dependencies: cmake : Depends: cmake-data (= 3.10.2–1ubuntu2) but it is not going to be installed Depends: libarchive13 (>= 3.0.4) but it is not going to be installed Depends: libjsoncpp1 (>= 1.7.4) but it is not going to be installed Depends: librhash0 (>= 1.2.6) but it is not going to be installed Depends: libuv1 (>= 1.4.2) but it is not going to be installed cuda-drivers : Depends: nvidia-396 (>= 396.44) but it is not going to be installed libcuda1–396 : Depends: nvidia-396 (>= 396.44) but it is not going to be installed libxrandr-dev : Depends: x11proto-randr-dev (>= 1.4) nvidia-396-dev : Depends: nvidia-396 (>= 396.44) but it is not going to be installed nvidia-opencl-icd-396 : Depends: nvidia-396 (>= 396.44) but it is not going to be installed E: Unmet dependencies. Try ‘apt — fix-broken install’ with no packages (or specify a solution).

Thank you very much for the help!